//
//  WQAirPlayView.h
//  AirPlayDemo
//
//  Created by Ji Wanqiang on 12-12-10.
//  Copyright (c) 2012年 http://jiwanqiang.com/. All rights reserved.
//
//  You must add the framework that is AudioToolBox in your project target.

#import <MediaPlayer/MediaPlayer.h>

@interface WQAirPlayView : UIView
{
    UIButton        *_airPlayButton;
    UIButton        *_mpButton;
    MPVolumeView    *_volumeView;
    
    NSNetServiceBrowser *_serviceBrowser;
    NSMutableArray      *_foundServices;
    
    BOOL    _isDetected;
    CGRect  _frame;
}

#pragma mark - BackGroundImage For AirPlay Button
@property (nonatomic, retain) NSString *notDetected; //has no out device
@property (nonatomic, retain) NSString *detected;  //has out device
@property (nonatomic, retain) NSString *playing;   //play video by airpay


- (WQAirPlayView*)initWithFrame:(CGRect)frame
                   withDetected:(NSString*)detected
                    notDetected:(NSString*)notDetected
                        playing:(NSString*)playing;


@end
