//
//  WQHomeViewController.m
//  AirPlayDemo
//
//  Created by Ji Wanqiang on 12-12-27.
//  Copyright (c) 2012年 http://jiwanqiang.com/. All rights reserved.
//

#import "WQHomeViewController.h"
#import "WQAirPlayView.h"

@interface WQHomeViewController ()

@end

@implementation WQHomeViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)pressPlayVideoButton:(id)sender {
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"Movie" ofType:@"m4v"];
    NSURL *url = [NSURL fileURLWithPath:filePath];
    MPMoviePlayerController *player = [[MPMoviePlayerController alloc] initWithContentURL:url];
    [player setAllowsAirPlay:YES];
    [player prepareToPlay];
    [player.view setFrame:self.view.bounds];
//    player.controlStyle = MPMovieControlStyleNone;
    [self.view addSubview:player.view];
    
    WQAirPlayView *airPlayView = [[WQAirPlayView alloc] initWithFrame:CGRectMake(430, 100, 45, 50) withDetected:@"MP_AirPlayButton_Pressed.png" notDetected:@"MP_AirPlayButton.png" playing:@"MP_AirPlayButton_Selected.png"];
    
    [self.view addSubview:airPlayView];
}
@end
